---
deprecated: true
search:
  tags:
    - Collections
    - DELETE
seo:
  description: >-
    Deprecated: Use the Collections… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products endpoint
    in the Management API.
sidebar:
  label: Remove products from collection
  badge: DELETE
title: Remove products from collection
type: openapi-operation
---
Deprecated: Use the Collections V2 API. Removes one or more products from a collection. Products remain in the system but are no longer associated with the collection.

`DELETE /api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products`

**Deprecated.**

**Request body** (`application/json`, required)

Product IDs to delete

- `product_ids` (string[], required)

Request body example:

```json
{
  "product_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Collection updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
